Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_JSRuntime

Contained in: global
Derived from: none
Derived by: none
Group: JavaScript (Framework)

#include <ClanLib/javascript.h>

### public function member index:

`` | `CL_JSRuntime` | `(`long` `gc_memory`)`;
`` | `~CL_JSRuntime` | `()`;
``JSRuntime`*` | `getRuntime` | `()`;
`` | `operator` `JSRuntime*` | `()`;
``static` `CL_JSRuntime`*` | `tempFromHandle` | `(`JSRuntime`* `rt`)`;
``static` `CL_JSRuntime`*` | `permanentFromHandle` | `(`JSRuntime`* `rt`)`;

### private function member index:

`` | `CL_JSRuntime` | `(`JSRuntime`* `runtime`, `bool` `tempObject`)`;

## Description:

## Function Member Descriptions:

## Variable Member Descriptions: